function ind = lcc(A)
%--------------------------------------------------------------------------
% Extract indices largest connected component of a graph represented by A
% 
% ind = lcc(A);
%
% Input:
% A     - Sparse symmetric matrix
% Output:
% ind     - Indices that specify nodes of the largest connected component.
%--------------------------------------------------------------------------
% CMAPP: Clustered matrix approximation
% Copyright 2015, Berkant Savas
% University of Texas at Austin 2009-2011, Linkoping University 2011-2015
%--------------------------------------------------------------------------

[ci, sz] = components(A);
[~,maxInd] = max(sz);
ind = ci == maxInd;